Що таке Yii?
============

Yii – це високопродуктивний компонентний PHP фреймворк, призначений для швидкої розробки сучасних веб додатків.
Слово Yii (вимовляється як `Йі` `[ji:]`) в китайській мові означає "простий та еволюційний".
Також Yii може розшифровуватись акронім **Yes It Is**!


Для яких завдань найбільше підходить Yii?
-----------------------------------------

Yii – це універсальний фреймворк і може бути задіяний у всіх типах веб додатків. Завдяки його компонентній структурі
і відмінній підтримці кешування, фреймворк особливо підходить для розробки таких великих проектів як портали,
форуми, CMS, магазини або RESTful-додатки.


Порівняння Yii з іншими фреймворками
------------------------------------

- Як і багато інших PHP фреймворків, для організації коду Yii використовує модель MVC (Model-View-Controller).
- Yii дотримується філософії простого й елегантного коду, не намагаючись ускладнювати дизайн тільки заради слідування
  будь-яким шаблонами проектування.
- Yii є full-stack фреймворком і включає в себе перевірені можливості, які добре себе зарекомендували,
  такі як ActiveRecord для реляційних та NoSQL баз даних, підтримку REST API, багаторівневе кешування та інші.
- Yii відмінно розширюваний. Ви можете налаштувати або замінити практично будь-яку частину основного коду.
  Використовуючи архітектуру розширень - легко ділитися кодом або використовувати код спільноти.
- Висока продуктивність завжди є головною ціллю Yii.

Yii — не проект однієї людини. Він підтримується і розвивається [сильною командою][] і великою спільнотою розробників,
які їй допомагають. Розробники фреймворка стежать за тенденціями веб розробки і розвитком інших проектів.
Найбільш значимі можливості і кращі практики регулярно впроваджуються у фреймворк у вигляді простих і елегантних інтерфейсів.

[сильна команда розробників]: http://www.yiiframework.com/about/

Версії Yii
----------

На даний момент існує дві основні гілки Yii: 1.1 та 2.0. Гілка 1.1 є попереднім поколінням і знаходиться у стані підтримки.
Версія 2.0 - це повністю переписаний Yii, що використовує останні технології і протоколи, такі як Composer, PSR, простори імен,
типажі (traits) і багато іншого. 2.0 - останнє покоління фреймворка. На цій версії будуть зосереджені основні зусилля
кілька наступних років. Даний посібник призначений в основному версії 2.0.


Вимоги до ПЗ і знань
--------------------

Yii 2.0 потребує PHP 5.4.0 та вище. Щоб дізнатися вимоги для окремих можливостей ви можете запустити скрипт перевірки вимог,
який поставляється із кожним релізом фреймворка.

Для розробки на Yii буде потрібне загальне розуміння ООП, так як фреймворк повністю слідує цій парадигмі.
Також слід вивчити такі сучасні можливості PHP як [простори імен](http://www.php.net/manual/en/language.namespaces.php)
і [типажі](http://www.php.net/manual/en/language.oop5.traits.php).
